      integer, parameter :: jp_bignum = 2147483647

      integer, parameter :: jpmaxresol = 2048
      integer, parameter :: jpmlat = jpmaxresol
      integer, parameter :: jpmlev = 200
      integer, parameter :: jpack = jpmlat * jpmlat * 2
      integer, parameter :: jpmaxfld = 31
      integer, parameter :: jpn1 = 512 * (jpmaxfld + 1)

      integer nobytes
      integer ngrib(jpack)      ! An automatic array
      real dummy(1)
      equivalence (dummy, ngrib)

      integer, parameter :: jpni = 4096
      integer nsec0(2), nsec1(jpn1), 
     $     nsec2(jpni), nsec3(2), nsec4(jpni)
      REAL                           
     $     rsec2(jpni), rsec3(2)

c--   You can set the "nsafety_factor" to zero when 'J'-bug
c     in the GRIBEX has been fixed
      integer, parameter :: nsafety_factor = 2
      REAL, allocatable :: rsec4(:) ! An allocatable array

      common /grib_internal_I/nsec0, nsec1, nsec2, nsec3, nsec4
      common /grib_internal_R/              rsec2, rsec3
